<template>
  <tr>
    <td>{{environment.name}}</td>
  </tr>
  <tr>
    <td>
      <table>
        <td>Component</td>
        <td>URLs</td>
        <td colspan=3>Status</td>
        <tr v-for="component in environment.components" :key="component.id" :component="component">
          <td>{{component.name}}</td>
          <td>
            <li v-for="url in component.ingressUrls">{{url}}</li>
          </td>
          <td><StatusItem :status="component.status" /></td>
          <td><StatusItem status="in progress" /></td>
        </tr>
      </table>
    </td>
    <td><ActionIcons :actions="environment.actions" /></td>
  </tr>
</template>

<script setup>
import { defineProps } from "vue";
import StatusItem from "./StatusItem.vue";
import ActionIcons from "./ActionIcons.vue";

const props = defineProps({
  environment: Object
});

</script>

<style scoped>
tr {
  height: 3.5em;
}
td {
  padding: 0.35em;
}
tr td:first-child {
  padding-left: 1.3em;
}
</style>
